Package org.pentaho.reporting.libraries.formula.lvalues

# Class ContextLookup

java.lang.Object
org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue
org.pentaho.reporting.libraries.formula.lvalues.ContextLookup

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `LValue`

public class ContextLookup extends AbstractLValue
A reference that queries the datarow.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ContextLookup(String name)`
`ContextLookup(String name, ParsePosition parsePosition)`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate()`
`String`
`getName()`
`Type`
`getValueType()`
Querying the value type is only valid *after* the value has been evaluated.
`boolean`
`isConstant()`
Checks whether the LValue is constant.
`String`
`toString()`

### Methods inherited from class org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue

`clone, getChildValues, getContext, getParsePosition, initialize, setParsePosition`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContextLookup

public ContextLookup(String name)

### ContextLookup

public ContextLookup(String name, ParsePosition parsePosition)

## Method Details

### evaluate

public TypeValuePair evaluate() throws EvaluationException

Throws:
  `EvaluationException`

### getValueType

public Type getValueType()
Description copied from class: `AbstractLValue`
Querying the value type is only valid *after* the value has been evaluated.

Specified by:
  `getValueType` in interface `LValue`
Overrides:
  `getValueType` in class `AbstractLValue`
Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isConstant

public boolean isConstant()
Checks whether the LValue is constant. Constant lvalues always return the same value.

Returns:

### getName

public String getName()